Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Support #1055

no covert art image display with opus in mkv
January 28, 2021 12:31 - Phil Four

Status: Rejected Start date: January 28, 2021
Priority: Minor Due date:

Assignee: % Done: 0%

Category: Estimated time: 0.00 hour

Target version:

Affects version: 4.0.4

Description

Manjaro XFCE 20.1
Audacious 4.0.5

1/ Download file of bug 1054 (https:/redmine.audacious-media-player.org/issues/1054)

2/ Open with Audacious

3/ Verify that lllustration is activated under Audacious>Display>Visualisation>Greffons>General
4/ notice that no covert art image is displayed

Check file with ffmpeg

History

#1 - January 28, 2021 22:46 - John Lindgren
- Tracker changed from Bug to Support

VLC doesn't show cover art for this file either.

ffplay shows what looks like a still image, but is actually an H.264 video stream. Is that what you're calling "cover art"?

#2 - January 28, 2021 22:47 - John Lindgren

Input #0, matroska,webm, from 'seekBug_CoverBug.mkv':
Metadata:
ENCODER : Lavfb8.45.100
Duration: 00:00:18.00, start: -0.007000, bitrate: 124 kb/s
Stream #0:0: Video: h264, none, 400x224, SAR 254:255 DAR 635:357, 25 fps, 25 tbr, 1k tbn, 2k tbc (default)

Metadata:

ENCODER : Lave58.91.100 1libx264

DURATION : 00:00:00.054000000
Stream #0:1 (eng): Audio: opus, 48000 Hz, stereo, fltp (default)
Metadata:

COMPATIBLE_BRANDS: iso6avclmp4l

MAJOR_BRAND : dash

MINOR_VERSION : 0

ENCODER : Lavf58.45.100

DURATION : 00:00:18.001000000
#3 - January 29, 2021 06:51 - Phil Four

By cover art, | mean adding a image to audio file, see for instance https:/wiki.xiph.org/index.php/VorbisComment#Cover_art

to add an image to some audio stream:

ffmpeg -y -i "AUDIO.opus" -i "COVER.jpg" -map 0:a -vf scale=400:-2 -pix_fmt yuv420p -c:a copy -map 1:v "AUDIO_WITH_COVER_yuv420p.mkv"

#4 - January 29, 2021 13:26 - John Lindgren

That ffmpeg command doesn't add cover art; it adds a video stream.

#5 - January 29, 2021 13:26 - John Lindgren

- Status changed from New to Rejected
